/* Programme en mai-juin 1996 par Jean-Francois Lozevis
   Emulateur Spectrum 48 ko classique
   pour Linux avec architecture 386 */
#ifndef SPECTRUM__H
#define SPECTRUM__H

extern int Gmode,yaduson,typeclavier,executeZ80,raffraichit;
extern unsigned char attrsChanged[768];
extern unsigned char mem[65537];
extern char *whichAttrsChanged[256*24+768];
extern int Z80activite;
extern struct Z80Regs {
  unsigned char regI,regLp,regHp,regEp,regDp,regCp,regBp,regFp,regAp,
    regL,regH,regE,regD,regC,regB,regLY,regHY,regLX,regHX,
    iff2,regR,regF,regA,regSPL,regSPH,intMode,borderColour;
} header_sna;
extern unsigned PC;

void InitSpectrum(char *name);
void DisplaySpectrum(void);
int ExecZ80(int);
void debogue(void);

#endif // SPECTRUM__H
